import React, { useContext } from 'react'
import KonnectorViewer from 'components/ContentComponents/KonnectorViewer/KonnectorViewer'
import IFluidConfig from 'services/IFluidConfig'
import { AppContext } from 'components/Contexts/AppContextProvider'

export interface KonnectorViewerListProps {
  isParam: boolean
  fluidConfigs: IFluidConfig[]
}

const KonnectorViewerList: React.FC<KonnectorViewerListProps> = ({
  isParam = false,
  fluidConfigs,
}: KonnectorViewerListProps) => {
  const { fluidTypes } = useContext(AppContext)
  return (
    <div>
      {fluidConfigs.map((item: IFluidConfig, index: number) => {
        return fluidTypes.includes(item.fluidTypeId) ? (
          <KonnectorViewer isParam={isParam} key={index} fluidConfig={item} />
        ) : null
      })}
      {fluidConfigs.map((item: IFluidConfig, index: number) => {
        return fluidTypes.includes(item.fluidTypeId) ? null : (
          <KonnectorViewer isParam={isParam} key={index} fluidConfig={item} />
        )
      })}
    </div>
  )
}

export default KonnectorViewerList
